curl -X DELETE 'https://crypto-api.yativo.com/api/v1/apikey/key_69c799d9f1fba3928d8a12ac' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"success": true,
"message": "API key revoked successfully",
"data": {
"id": "key_69c799d9f1fba3928d8a12ac",
"is_revoked": true,
"revoked_at": "2026-03-28T11:00:00.000Z"
}
}
API Keys
Revoke API Key
Permanently revoke an API key. This action is immediate and irreversible.
DELETE
/
v1
/
apikey
/
{keyId}
curl -X DELETE 'https://crypto-api.yativo.com/api/v1/apikey/key_69c799d9f1fba3928d8a12ac' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"success": true,
"message": "API key revoked successfully",
"data": {
"id": "key_69c799d9f1fba3928d8a12ac",
"is_revoked": true,
"revoked_at": "2026-03-28T11:00:00.000Z"
}
}
string
required
Bearer token:
Bearer YOUR_ACCESS_TOKENstring
required
The key ID to revoke (e.g.
key_01HX9KZMB3F7VNQP8R2WDGT4E5).Revoking a key is immediate and irreversible. Any services using this key will lose API access instantly. Ensure you have updated all dependent services before revoking.
curl -X DELETE 'https://crypto-api.yativo.com/api/v1/apikey/key_69c799d9f1fba3928d8a12ac' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"success": true,
"message": "API key revoked successfully",
"data": {
"id": "key_69c799d9f1fba3928d8a12ac",
"is_revoked": true,
"revoked_at": "2026-03-28T11:00:00.000Z"
}
}

